/* checkdir.c (rsxnt) -- Copyright (c) 1996-1997 Rainer Schnitker */

#include "rsxnt.h"

#define CHARLOWER(arg) (char)(int)CharLower((char *)(int)(arg))

int _rsxnt_dir_check (const char *path, const char *dir)
{
    while (*path != 0 && *dir != 0 && (CHARLOWER(*path)) == *dir)
	++path, ++dir;
    return (*dir == 0 && (*path == '/' || *path == '\\'));
}
